[Réglé] Migration 3.0.x vers 3.1.3 - ACP_LEXICON

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.1.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.1

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] Migration 3.0.x vers 3.1.3 - ACP_LEXICON

Messagepar pierredu » 20 Mar 2015 à 17:44

Bonjour,

Sur un ordinateur local, j'ai installé une version neuve 3.0.13 avec une sauvegarde de la base de mon serveur.
Ensuite, j'ai fait tourner le script mysql_upgrader.php et j'ai exécuté le résultat.

Et puis j'ai fait la migration comme indiqué.

Tout se passe assez bien. Je suis content de tout le travail de préparation que j'ai fait.

Il me reste quelque chose qui coince. Dans le panneau d'administration, après SYSTÈME, j'ai un onglet parasite intitulé ACP_LEXICON. ACP LEXICON est le nom d'une variable d'un mod qui était installé sur le forum et qui produisait effectivement un onglet dans le panneau d'administration.

Le message d'erreur est le suivant :
Code: Tout sélectionner
Erreur générale
Impossible de trouver le module « ./../includes/acp/acp_lexicon.php »
...
FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()


Je ne vois pas comment c'est venu là, puisque je suis parti d'une version sans aucun mod.

Une idée ?
Merci d'avance.

Quelques instants plus tard :
J'ai eu l'idée d'aller regarder dans la table phpbb3_modules et, effectivement, j'ai une ligne avec ce nom.

Maintenant, pensez-vous que je peux y aller tranquillement et supprimer la ligne ?
Avatar de l’utilisateur
pierredu
Resp. Extensions
Resp. Extensions
 
Messages: 1095
Enregistré le: 29 Mai 2011 à 06:49
Localisation: Paris

Re: Migration 3.0.x vers 3.1.3 - ACP_LEXICON

Messagepar Skouat » 21 Mar 2015 à 02:49

Bonjour,

pierredu a écrit:Je ne vois pas comment c'est venu là, puisque je suis parti d'une version sans aucun mod.

Un MOD peut modifier les fichiers ET la base de données.
Donc ce n'est pas parce que vous avez des fichiers d'origine que votre BDD ne comporte pas des modifications liées à un MOD.
D'où, dans le tuto de mise à niveau, le passage indiquant d'utiliser l'outils "STK"

pierredu a écrit:J'ai eu l'idée d'aller regarder dans la table phpbb3_modules et, effectivement, j'ai une ligne avec ce nom.

Maintenant, pensez-vous que je peux y aller tranquillement et supprimer la ligne ?

Allez dans PCA >> Système >> Gestion des modules >> Panneau d'administation, puis recherchez et supprimez le module qui pose problème.

Cordialement.
Skouat
Traducteur
Traducteur
 
Messages: 13790
Enregistré le: 02 Avr 2008 à 20:47

Re: Migration 3.0.x vers 3.1.3 - ACP_LEXICON

Messagepar pierredu » 21 Mar 2015 à 09:57

Bonjour,

Merci, je ne connaissais pas ce sous-onglet.
Avatar de l’utilisateur
pierredu
Resp. Extensions
Resp. Extensions
 
Messages: 1095
Enregistré le: 29 Mai 2011 à 06:49
Localisation: Paris


Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 3 invités